Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.statsvn.util
Class SvnPropgetUtils

    java.lang.Object
      net.sf.statsvn.util.SvnPropgetUtils

public final class SvnPropgetUtils
extends Object

Utilities class that manages calls to svn propget. Used to find binary files.

Version:
  $Id: SvnPropgetUtils.java 283 2007-02-19 09:28:35Z benoitx $
Author:
  Jason Kealey

Method Summary
`static List` | `getBinaryFiles()` Returns the list of binary files in the working directory.
`protected static ProcessUtils` | `getFileMimeTypes(String revision, String filename)` Get the svn:mime-type for a certain file (leave null for all files).
`static boolean` | `isBinaryFile(String revision, String filename)` It was first thought that a the mime-type of a file's previous revision could be found.
`static void` | `loadBinaryFiles(ProcessUtils pUtils)` Loads the list of binary files from the input stream equivalent to an svn propget command.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getFileMimeTypes

    protected static ProcessUtils getFileMimeTypes(String revision,
                                                   String filename)

  Get the svn:mime-type for a certain file (leave null for all files).

  Parameters:
    `revision` - revision for which to query;
    `filename` - the filename (or null for all files)
  Returns:
    the inputstream from which to read the information.

### getBinaryFiles

    public static List getBinaryFiles()

  Returns the list of binary files in the working directory.

  Returns:
    the list of binary files

### loadBinaryFiles

    public static void loadBinaryFiles(ProcessUtils pUtils)

  Loads the list of binary files from the input stream equivalent to an svn propget command.

### isBinaryFile

    public static boolean isBinaryFile(String revision,
                                       String filename)

  It was first thought that a the mime-type of a file's previous revision could be found. This is not the case. Leave revision null until future upgrade of svn propget command line.

  Parameters:
    `revision` - the revision to query
    `filename` - the filename
  Returns:
    if that version of a file is binary

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD